// ignore_for_file: file_names
import 'package:flutter_conscent_plugin/Model/APIMode.dart';
import 'package:flutter_conscent_plugin/shared_pref.dart';

class ConscentInitializer {
  String? clientId;
  static String? mClientId;
  MODE? apiMode;
  static String? mContentId;

  ConscentInitializer(String this.clientId, MODE this.apiMode) {
    mClientId = clientId;

    SharedPref().setClientId(clientId!);

    APIMode.getConscentServiceUrl(apiMode!);

    print(APIMode.BASE_URL);
  }

  static Future<void> setContentId(String contentId) async {
    mContentId = contentId;

    SharedPref().setContentId(contentId);
  }

  static Future<String?> getContentId(String contentId) async {
    return mContentId;
  }

  static Future<void> setClientId(String clientId) async {
    mClientId = clientId;

    SharedPref().setClientId(clientId);
  }

  static Future<String?> getClientId(String clientId) async {
    print('contentId $clientId');
    return mClientId;
  }
}
